@import "../../core/css/vars.less";


.selector{
	position: relative;
	display: inline-block;
	cursor: pointer;

	.selector-arrow{
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		right: 20px;

		&.arrow-up{
			border-bottom: 15px solid @text-color-panels;
		    border-right: 10px solid transparent;
		    border-left: 10px solid transparent;
		}
		&.arrow-down{
			border-top: 15px solid @text-color-panels;
		    border-right: 10px solid transparent;
		    border-left: 10px solid transparent;
		}
	}

	.selector-options{
		position: absolute;
		top: 100%;
	}

	.selector-option{
		padding: 5px 70px 0px 35px;
		border: 3px solid @color-input-bg-opac;
		border-radius: 100vw;
		background-color: @color-input-bg;

		&:hover{
			background-color: @color-input-bg-opac;
		}

		&.selected{
			background-color: @color-input-bg-opac;
			color: @text-color-panels-disabled;
		}
	}
}